<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Sastreria{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO sastreria (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idsastreria,$nombre,$descripcion){
	$sql="UPDATE sastreria SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idsastreria='$idsastreria'";
	return ejecutarConsulta($sql);
}
public function desactivar($idsastreria){
	$sql="UPDATE sastreria SET condicion='0' WHERE idsastreria='$idsastreria'";
	return ejecutarConsulta($sql);
}
public function activar($idsastreria){
	$sql="UPDATE sastreria SET condicion='1' WHERE idsastreria='$idsastreria'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idsastreria){
	$sql="SELECT * FROM sastreria WHERE idsastreria='$idsastreria'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM sastreria";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM sastreria WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
